package cpp_flowchart;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

public class Parts_LoopBegin2 extends Parts_LoopBegin {
	
	public Parts_LoopBegin2()
	{
		super();
	}

	@Override
	public Parts appendTo(StringBuilder sb, int indentLevel) {
		Parts pNext = this;
		makeIndent(sb, indentLevel);
		sb.append("\tdo{\n");
		if(getLeft() != null)
		{
			pNext = getLeft().appendTo(sb, indentLevel + 1);
			if(getLeft().getLeft().isRecursiveEnd())
			{
				makeIndent(sb, indentLevel + 1);
				sb.append("\n");
			}
		}
		makeIndent(sb, indentLevel);
		sb.append("\t} while("+ loopend.getText() +");\n");
		return pNext.getLeft().appendTo(sb, indentLevel);
	}

	@Override
	String getText2() {
		return null;
	}

	@Override
	void setText2(String s) {
	}

	@Override
	Parts makeXML(Document doc, Element parent) {
		Element elem = doc.createElement("do");
		elem.setAttribute("condition", loopend.getText());
		Parts parts_end = left.makeXML(doc, elem).getLeft();
		parent.appendChild(elem);
		if(parts_end.getLeft() != null && !parts_end.getLeft().isRecursiveEnd())
			return parts_end.getLeft().makeXML(doc, parent);
		return parts_end;
	}

}
