package cpp_flowchart;

import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Point;
import java.awt.event.MouseEvent;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

//import com.itextpdf.text.pdf.PdfContentByte;


// dummy といっても，end ifにしかならないか。
public class Parts_Null extends Parts {

	@Override
	public int getHeight() {
		return 0;
	}

	@Override
	public int getWidth() {
		return 0;
	}

	@Override
	public Parts paint(Graphics g, FontMetrics fm, Point p) {
		setP1(p);
		setP2(p);
//		if(getLeft() == null || getLeft().isRecursiveEnd())
//			return this;
		return getLeft().paint(g, fm, p);
	}
/*
	@Override
	public Parts paintPdf(PdfContentByte cb, int height, Graphics g,
			FontMetrics fm, Point p) {
		setP1(p);
		setP2(p);
//		if(getLeft() == null || getLeft().isRecursiveEnd())
//			return this;
		return getLeft().paintPdf(cb, height, g, fm, p);
	}
*/
	
	@Override
	public void setSize(Graphics g, FontMetrics fm) {
		// do nothing
	}
	
	@Override
	public boolean isRecursiveEnd()
	{
		return true;
	}

	@Override
	public Parts appendTo(StringBuilder sb, int indentLevel) {
		return this;
	}
	@Override
	public boolean dispMenu(final Flowchart chart, MouseEvent e)
	{
		return false;
	}

	@Override
	Parts makeXML(Document doc, Element parent) {
		return this;
	}


}
